GPathResultMap (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.xml
[Groovy] Class GPathResultMap

    java.lang.Object
      org.grails.databinding.xml.GPathResultMap

All Implemented Interfaces:
  java.util.Map

    class GPathResultMap
    extends java.lang.Object

Authors:
  Jeff Brown

Since:
  2.3

Field Summary
`protected groovy.util.slurpersupport.GPathResult` | `gpath`
`protected java.lang.Object` | `id`

Constructor Summary
`GPathResultMap(groovy.util.slurpersupport.GPathResult gpath)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`protected java.lang.String` | `getPropertyNameForNode(groovy.util.Node node)`
`protected java.lang.String` | `getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map m)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### gpath

    protected groovy.util.slurpersupport.GPathResult gpath

### id

    protected java.lang.Object id

Constructor Detail

### GPathResultMap

    GPathResultMap(groovy.util.slurpersupport.GPathResult gpath)

Method Detail

### clear

    void clear()

### containsKey

    boolean containsKey(java.lang.Object key)

### containsValue

    boolean containsValue(java.lang.Object value)

### entrySet

    java.util.Set entrySet()

### get

    java.lang.Object get(java.lang.Object key)

### getPropertyNameForNode

    protected java.lang.String getPropertyNameForNode(groovy.util.Node node)

### getPropertyNameForNodeChild

    protected java.lang.String getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)

### isEmpty

    boolean isEmpty()

### keySet

    java.util.Set keySet()

### put

    java.lang.Object put(java.lang.Object key, java.lang.Object value)

### putAll

    void putAll(java.util.Map m)

### remove

    java.lang.Object remove(java.lang.Object key)

### size

    int size()

### values

    java.util.Collection values()

Groovy Documentation